import { getSchedule, getScheduleWare, setSchedule, setScheduleWare } from '@/api/schoolTimetable'

const state = {
  getScheduleData: [],
  getScheduleWareData: []
}

const mutations = {
  GET_SCHEDULE: (state, data) => {
    state.getScheduleData = data
  },
  GET_SCHEDULE_WARE: (state, data) => {
    state.getScheduleWareData = data
  }
}

const actions = {
  // 获取课程表列表
  getScheduleList({ commit, state }) {
    return new Promise((resolve, reject) => {
      getSchedule({
        code: '',
        title: '',
        weekSeq: ''
      }).then((res) => {
        const list = res.data.list
        commit('GET_SCHEDULE', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 获取课程表详情
  getScheduleWare({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      getScheduleWare({
        scheduleId: obj.id
      }).then((res) => {
        const data = res.data
        commit('GET_SCHEDULE_WARE', data)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表
  setScheduleList({ commit, dispatch }, data) {
    return new Promise((resolve, reject) => {
      setSchedule(data).then((res) => {
        if (res.code === 200) {
          dispatch('getScheduleList')
          resolve()
        }
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表详情
  setScheduleWare({ commit, dispatch }, data) {
    return new Promise((resolve, reject) => {
      setScheduleWare(data).then((res) => {
        if (res.code === 200) {
          resolve()
        }
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

